## org.apache.bcel.generic
Class LCONST

    java.lang.Object
      org.apache.bcel.generic.Instruction
          org.apache.bcel.generic.LCONST

All Implemented Interfaces:
  Serializable, Cloneable, ConstantPushInstruction, PushInstruction, StackProducer, TypedInstruction

    public class LCONST

extends Instruction
implements ConstantPushInstruction, TypedInstruction

LCONST - Push 0 or 1, other values cause an exception

    Stack: ... -> ...,

Version:
  $Id: LCONST.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.generic.Instruction
`length, opcode`

Constructor Summary
`LCONST(long l)`

Method Summary
`void` `accept(Visitor v)` Call corresponding visitor method(s).
`Type` `getType(ConstantPoolGen cp)`
`Number` `getValue()`

Methods inherited from class org.apache.bcel.generic.Instruction
`consumeStack, copy, dump, equals, getComparator, getLength, getName, getOpcode, initFromFile, produceStack, readInstruction, setComparator, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.bcel.generic.StackProducer
`produceStack`

Constructor Detail

### LCONST

    public LCONST(long l)

Method Detail

### getValue

    public Number getValue()

  Specified by:
    `getValue` in interface `ConstantPushInstruction`

### getType

    public Type getType(ConstantPoolGen cp)

  Specified by:
    `getType` in interface `TypedInstruction`
  Returns:
    Type.LONG

### accept

    public void accept(Visitor v)

  Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.

  Specified by:
    `accept` in class `Instruction`
  Parameters:
    `v` - Visitor object

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.